## lucene2 2.2.0

=== src/gcj/Makefile ===
# Makefile for Lucene GCJ code
#
# Usually invoked by Ant.  Requires that core classes & jars are already built.

ROOT=../..
BUILD=$(ROOT)/build
DEST=$(BUILD)/gcj
CORE=$(BUILD)/classes/java
SRC=.

CORE_OBJ:=$(subst .jar,.a,$(wildcard $(BUILD)/lucene-[0-9]*.jar))
CORE_JAVA:=$(shell find $(ROOT)/src/java -name '*.java')

CORE_HEADERS=\
  $(CORE)/org/apache/lucene/store/IndexInput.h \
  $(CORE)/org/apache/lucene/util/BitVector.h \
  $(CORE)/org/apache/lucene/index/SegmentTermDocs.h

DEMO_JAR:=$(wildcard $(BUILD)/lucene-demo*.jar)
DEMO_OBJ:=$(subst .jar,.a,$(DEMO_JAR))

JAVA:=$(wildcard $(SRC)/org/apache/lucene/*/*.java)
JAVA_HEADERS:=$(subst $(SRC)/,$(DEST)/,$(subst .java,.h,$(JAVA)))
JAVA_OBJ:=$(DEST)/lucene-gcj.a

CNI:=$(wildcard $(SRC)/org/apache/lucene/*/*.cc)
CNI_OBJ:=$(subst $(SRC)/,$(DEST)/,$(subst .cc,.o,$(CNI)))

GCJ ?= gcj
GCJH ?= gcjh
GPLUSPLUS ?= g++

CFLAGS ?= -O3 -ffast-math 
GCJFLAGS ?= $(CFLAGS) -fno-bounds-check -fno-store-check

ifdef PROFILE_ARCS
  CFLAGS += -fprofile-arcs
endif

ifdef BRANCH_PROBABILITIES
  CFLAGS += -fbranch-probabilities
endif

LIBS = -lstdc++

# default rule builds command line executables
all: $(BUILD)/indexFiles $(BUILD)/searchFiles

# Compile Lucene Core code specially
# GCJ can do more inlining when it compiles .java files than .class
# files, but not all of Lucene's core .java files are yet compilable
# by GCJ. (In particular, GCJ has problems with anonymous ctors that
# throw exceptions used in the Span and Sort code.)  So we compile
# those that GCJ accepts from .java files, and those that GCJ does not
# yet accept from .class files.
# NOTE: Change when http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15501 is fixed.
$(CORE_OBJ) : $(CORE_JAVA)
	$(GCJ) $(GCJFLAGS) -c -I $(CORE) -o $@ `find $(ROOT)/src/java -name '*.java' -not -name '*Sort*' -not -name 'Span*'` `find $(CORE) -name '*.class' -name '*Sort*' -or -name 'Span*'`

# generate object code from jar files using gcj
%.a : %.jar
	$(GCJ) $(GCJFLAGS) -c -I $(CORE) -o $@ $<

# don't delete generated headers -- they're handy for debugging
.PRECIOUS : $(CORE)/%.h $(DEST)/%.h

# generate headers from .class files using gcjh
$(CORE)/%.h : $(CORE)/%.class
	$(GCJH) --classpath=$(CORE) -d $(CORE) \
	 $(subst /,.,$(subst .class,,$(subst $(CORE)/,,$<)))

# generate headers from .class files using gcjh
$(DEST)/%.h : $(DEST)/%.class
	$(GCJH) --classpath=$(DEST) -d $(DEST) \
	 $(subst /,.,$(subst .class,,$(subst $(DEST)/,,$<)))

# generate object code for c++ code using g++
$(DEST)/%.o : $(SRC)/%.cc $(DEST)/%.h $(CORE_HEADERS) $(JAVA_HEADERS)
	$(GPLUSPLUS) $(CFLAGS) -c -I $(CORE) -I $(DEST) -o $@ $<

# generate class from java using gcj
$(DEST)/%.class : $(SRC)/%.java
	mkdir -p $(dir $@)
	$(GCJ) -C -I $(CORE) -d $(DEST) $<

# generate object code for .java files using gcj
$(JAVA_OBJ) : $(JAVA)
	mkdir -p $(dir $@)
	$(GCJ) $(GCJFLAGS) -c -I $(CORE) -I $(DEST) -o $@ $^

# generate c++ stubs for a class using gcjh
$(DEST)/%.cc : $(DEST)/%.class
	$(GCJH) -stubs --classpath=$(DEST) -d $(DEST) \
	 $(subst /,.,$(subst .class,,$(subst $(DEST)/,,$<)))

# generate assembly code from c++ code for perusal
$(DEST)/%.s : $(SRC)/%.cc $(DEST)/%.h $(CORE_HEADERS) $(JAVA_HEADERS)
	$(GPLUSPLUS) $(CFLAGS) -S -I $(CORE) -I $(DEST) -o $@ $<

# list of all object code to be linked
OBJ = $(CORE_OBJ) $(DEMO_OBJ) $(JAVA_OBJ) $(CNI_OBJ)

USE_GCJ_DIRECTORY =\
 -Dorg.apache.lucene.FSDirectory.class=org.apache.lucene.store.GCJDirectory

USE_GCJ_SEGMENT_READER =\
 -Dorg.apache.lucene.SegmentReader.class=org.apache.lucene.index.GCJSegmentReader

PROPS = $(USE_GCJ_DIRECTORY) $(USE_GCJ_SEGMENT_READER)

# link together various applications
$(BUILD)/indexFiles: $(OBJ)
	$(GCJ) $(GCJFLAGS) $(PROPS) $(LIBS) $^ -o $@ \
         --main=org.apache.lucene.demo.IndexFiles

$(BUILD)/searchFiles: $(OBJ)
	$(GCJ) $(GCJFLAGS) $(PROPS) $(LIBS) $^ -o $@ \
         --main=org.apache.lucene.demo.SearchFiles

# remove generated files
clean:
	rm -rf $(DEST) $(BUILD)/{*.a,indexFiles,searchFiles}

## lucene2 2.3.1+ds1

=== src/gcj/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CORE=$(BUILD)/classes/java
 SRC=.
 
-CORE_OBJ:=$(subst .jar,.a,$(wildcard $(BUILD)/lucene-[0-9]*.jar))
+CORE_OBJ:=$(subst .jar,.a,$(wildcard $(BUILD)/lucene-core-[0-9]*.jar))
 CORE_JAVA:=$(shell find $(ROOT)/src/java -name '*.java')
 
 CORE_HEADERS=\

## lucene2 2.9.4+ds1

=== debian/changelog ===
lucene2 (2.9.4+ds1-6) unstable; urgency=medium

  * Team upload.
  * Disable the tests because they cause random build failures.
    (Closes: #749365)
  * Fix Lintian error privacy-breach-logo and privacy-breach-generic by
    removing the external link to the logo from the documentation.
  * Use compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Aug 2016 15:42:11 +0200

lucene2 (2.9.4+ds1-5) unstable; urgency=medium

  * Team upload.

  [ Stephen Nelson ]
  * Convert package to use quilt for patching as dpatch is deprecated.
  * Remove Michael Koch from uploaders (Closes: #654107).
  * Remove deprecated DM-Upload flag.
  * Update VCS fields to use canonical version.

  [ Kai-Chung Yan ]
  * Moved the package to Git
  * Change dependency: libicu4j-java => libicu4j-4.2-java (Closes: #819193)
  * Update standards version to 3.9.8

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 08 Apr 2016 13:24:44 +0200

lucene2 (2.9.4+ds1-4) unstable; urgency=low

  [ Benjamin Drung ]
  * Team upload.
  * Upload to unstable (Closes: #640494).
  * Use versioned format link in debian/copyright (Closes: #631632).
  * Build with default-jdk instead of openjdk-6-jdk.
  * Use dpkg-source version 1.0 until we switch to quilt.

  [ Jan-Pascal van Best ]
  * Removed Jan-Pascal van Best from Uploaders

 -- Benjamin Drung <bdrung@debian.org>  Mon, 19 Sep 2011 21:37:46 +0200

lucene2 (2.9.4+ds1-3) experimental; urgency=low

  * Team upload.
    - Upload to experimental to avoid breaking eclipse in sid.
  * Fixed the Bundle-SymbolicName of the lucene-core.jar.
    (Closes: 631235)
  * Dropped JRE dependencies - no longer required by the Java Policy.
  * Do not install CHANGES.txt - dh_installchangelogs already installs
    this as the upstream changelog.
  * Bumped Standards-Version to 3.9.2 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Wed, 03 Aug 2011 12:42:12 +0200

lucene2 (2.9.4+ds1-2) unstable; urgency=low

  * Team upload.
  * Change dependency on libdb5.1-java to libdb-java (Closes: #628288)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jul 2011 15:14:40 +0200

lucene2 (2.9.4+ds1-1) unstable; urgency=low

  * New upstream version: 2.9.4
  * Added a Breaks: eclipse-platform (<= 3.5.2-6), forward-port from
    2.9.2+ds1-1squeeze1 (Closes: #595356)
  * Put lucli under update-alternatives control to allow liblucene3-java-contrib
    to take over
  * Change dependency on libdb4.7-java to libdb5.1-java (Closes: #621398)
  * Fixed debian/watch for new Apache archive repository layout
  * Bump standards version to 3.9.1 (no changes needed)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 21 Apr 2011 22:01:28 +0200

lucene2 (2.9.3+ds1-1) unstable; urgency=low

  * New upstream release 2.9.3
  * Bump standards version to 3.9.0 (no changes needed)
  * Added OSGI Require-Bundle metadata in contrib libraries (Closes: #578196)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 06 Aug 2010 16:14:31 +0200

lucene2 (2.9.2+ds1-1) unstable; urgency=low

  * New upstream release
  * Add patch to fix Java networking during package build (workaround for
    #560056).
  * Bump standards version to 3.8.4 (no changes needed)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 18 Mar 2010 13:03:42 +0100

lucene2 (2.9.1+ds1-5) unstable; urgency=low

  * Override OSGi Bundle-SymbolicName for lucene-analyzers to be
    `analysis' instead of `analyzers' (Closes: #566445)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Sat, 23 Jan 2010 20:27:45 +0100

lucene2 (2.9.1+ds1-4) unstable; urgency=low

  * Disable calling svnversion during package build
  * Backport upstream fix (svn 834011): fix bug that causes false positive
    failure in the test (Closes: #562308)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 22 Jan 2010 12:49:57 +0100

lucene2 (2.9.1+ds1-3) unstable; urgency=low

  * Mention in this changelog that CVE-2007-2383 has been fixed
    (Closes: #558355; Fix CVE-2007-2383)
  * Providing OSGi metadata in the Manifest for the
    core and contrib packages (needed for building Eclipse).

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 20 Jan 2010 13:54:48 +0100

lucene2 (2.9.1+ds1-2) unstable; urgency=low

  * Removed (unused) embedded Prototype javascript library
    (Closes: #555225, #555226; Fix CVE-2007-2383)
  * Added README.source containing information about how to create the Debian
    source from the upstream source tarball

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 19 Nov 2009 20:45:04 +0100

lucene2 (2.9.1+ds1-1) unstable; urgency=low

  * New upstream release 2.9.1

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 06 Nov 2009 21:22:26 +0100

lucene2 (2.9.0+ds1-3) unstable; urgency=low

  * Fix contrib/ant unit test for running under pbuilder
  * Disable backwards compatibility tests because these download older versions
    from the Apache Lucene svn repository
  * Moved a number of dependencies to Recommends: because they are only
    dependencies of a contrib library:
       libicu4j-java: contrib/collation
       libjline-java: contrib/lucli
       libjtidy-java: contrib/ant
       libregexp-java: contrib/regex
       libcommons-beanutils-java, libcommons-collections3-java,
       libcommons-compress-java, libcommons-digester-java,
       libcommons-logging-java: contrib/benchmark
       libdb4.7-java, libdb-je-java: contrib/db
  * Changed JRE depends to the -headless versions

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 05 Nov 2009 22:49:39 +0100

lucene2 (2.9.0+ds1-2) unstable; urgency=low

  * Updated Java source and target version to 1.5 (Closes: #549812)
  * Added missing dependency on libicu4j-java (for contrib/collation)
  * Added missing dependency on libjtidy-java (for contrib/ant)
  * Fix lucli script (shebang line was places after the license block)
  * Converted debian/copyright to machine-readable format

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 04 Nov 2009 10:27:47 +0100



=== debian/control ===
Source: lucene2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Barry Hawkins <barry@alltc.com>,
           Jeff Breidenbach <jab@debian.org>,
           Rene Engelhard <rene@debian.org>
Build-Depends: ant-contrib,
               ant-optional (>= 1.8),
               cdbs (>= 0.4.49),
               debhelper (>= 9),
               default-jdk,
               javacc,
               junit
Build-Depends-Indep: libcommons-beanutils-java (>= 1.7.0),
                     libcommons-collections3-java (>= 3.1),
                     libcommons-compress-java (>= 1.0),
                     libcommons-digester-java (>= 1.7),
                     libcommons-logging-java (>= 1.0.4),
                     libdb-java (>= 5.1.4),
                     libdb-je-java (>= 3.2.68),
                     libicu4j-4.2-java,
                     libjline-java (>= 0.9.5),
                     libjtidy-java (>= 7+svn20070309),
                     libregexp-java (>= 1.4)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/lucene2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-java/lucene2.git
Homepage: http://lucene.apache.org/java/

Package: liblucene2-java
Architecture: all
Depends: ${misc:Depends}
Recommends: libcommons-beanutils-java (>= 1.7.0),
            libcommons-collections3-java (>= 3.1),
            libcommons-compress-java (>= 1.0),
            libcommons-digester-java (>= 1.7),
            libcommons-logging-java (>= 1.0.4),
            libdb-java (>= 5.1.4),
            libdb-je-java (>= 3.2.68),
            libicu4j-4.2-java,
            libjline-java (>= 0.9.5),
            libjtidy-java (>= 7+svn20070309),
            libregexp-java (>= 1.4)
Breaks: eclipse-platform (<= 3.5.2-11), solr-common (<< 1.2.0+ds2-3)
Description: Full-text search engine library for Java(TM)
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 .
 This package contains the Lucene core library and a number of additional
 (contributed) libraries.

Package: liblucene2-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ant-doc, libregexp-java (>= 1.4)
Description: Documentation for Lucene
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 This package contains class API documentation for Lucene.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_INSTALL_CHANGELOGS_liblucene2-java := CHANGES.txt

JAVA_HOME := /usr/lib/jvm/default-java

DEB_ANT_BUILD_TARGET := javacc jar-core build-contrib war-demo javadocs
# Disable the tests because the cause random build failures (#749365)
#DEB_ANT_CHECK_TARGET := test
DEB_ANT_CLEAN_TARGET := clean clean-javacc

# Needed for running javacc and the unit tests
DEB_JARS = ant-nodeps ant-contrib ant-junit junit

# Upstream Lucene name
UPSTREAM_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | grep -o "^[^+]*" | sed -e "s/~/-/" )
UPSTREAM_BASENAME := lucene-$(UPSTREAM_VERSION)
CHANGESFILE = ../lucene2_$(DEB_VERSION)_$(DEB_BUILD_ARCH).changes

clean::
	# 'ant test' in contrib/db leaves some stuff behind...
	rm -rf $(CURDIR)/contrib/db/bdb/index
	# Same for 'ant test' in contrib/benchmark
	rm -rf $(CURDIR)/contrib/benchmark/temp/*
	rm -rf $(CURDIR)/contrib/benchmark/work/index
	rm -rf $(CURDIR)/contrib/benchmark/work/reuters
	rm -rf $(CURDIR)/contrib/benchmark/work/reuters-out
	# Tags for backward compatibility testing
	rm -rf $(CURDIR)/tags
	# remove keyring, since it is a binary file
	rm -f debian/lucene-keyring.gpg
	rm -f debian/KEYS
	# remove all javacc-generated files from src and contrib, except those
	# that are not regenerated properly
	# Now done in build.xml target clean-javacc
	#fgrep -Rl "Generated By:JavaCC:" $(CURDIR)/src/ $(CURDIR)/contrib/ | grep -v analysis/standard/ParseException.java\\\|precedence\\\|surround | xargs rm -f
	rm -r -f test

install/liblucene2-java::
	# Install the libraries into the liblucene2-java package

	# Install the core library
	install -m 0644 build/lucene-core-$(UPSTREAM_VERSION).jar $(CURDIR)/debian/liblucene2-java/usr/share/java
	ln -s lucene-core-$(UPSTREAM_VERSION).jar $(CURDIR)/debian/liblucene2-java/usr/share/java/lucene-core.jar

	# Install contrib libraries
	CONTRIB_JARS=`find build/contrib/ -name \*-$(UPSTREAM_VERSION).jar` ; \
	for jarfile in $$CONTRIB_JARS; do \
	    install -m 0644 "$$jarfile" $(CURDIR)/debian/liblucene2-java/usr/share/java ; \
	    CONTRIB=`echo $$jarfile | sed "s/.*\\/lucene-\\([-a-z]*\\)-.*\\.jar/\\1/"` ; \
	    ln -s lucene-$$CONTRIB-$(UPSTREAM_VERSION).jar $(CURDIR)/debian/liblucene2-java/usr/share/java/lucene-$$CONTRIB.jar ; \
	done
	install -d $(CURDIR)/debian/liblucene2-java/usr/lib/liblucene2-java
	install contrib/lucli/run.sh $(CURDIR)/debian/liblucene2-java/usr/lib/liblucene2-java/lucli
	gzip <debian/lucli.1 >$(CURDIR)/debian/liblucene2-java/usr/lib/liblucene2-java/lucli.1.gz

install/liblucene2-java-doc::
	# Install the documentation into the liblucene2-java-doc package

	mkdir -p  $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/
	cp -r docs $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/
	cp -r build/docs/* $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/docs/
	# Remove empty directories
	# rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/docs/skin/css
	# rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/docs/skin/scripts
	# rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/docs/skin/translations
	# Remove unused embedded prototype library
	rm -f $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/docs/skin/prototype.js
	install -d $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/demo
	install -m 644 build/lucene-demos-$(UPSTREAM_VERSION).jar $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/demo/
	install -m 644 build/luceneweb.war $(CURDIR)/debian/liblucene2-java-doc/usr/share/doc/liblucene2-java-doc/demo/
	# Fix Lintian error privacy-breach-logo and Lintian warning privacy-breach-generic
	find $(CURDIR)/debian/liblucene2-java-doc/ -type f -exec sed -i 's/http:\/\/www.apache.org\/images\/asf_logo_simple.png//g' {} \;
	find $(CURDIR)/debian/liblucene2-java-doc/ -type f -exec sed -i 's/http:\/\/lucene.apache.org\/images\/lucene_green_300.gif//g' {} \;


remove-source:
	rm -f build.xml
	rm -f common-build.xml
	rm -f *.txt
	rm -f *stamp
	rm -f *pom.xml.template
	rm -rf debian/patched
	rm -rf build dist docs example lib src contrib

restore-from-source: remove-source
	tar xzf ../lucene2_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	mv $(UPSTREAM_BASENAME)/* .
	rmdir $(UPSTREAM_BASENAME)

get-orig-source:
	debian/get-orig-source.sh

check:
	lintian -i $(CHANGESFILE)
	zgrep "^---" ../lucene2_$(DEB_VERSION).diff.gz | grep -v debian ; [ $$? != 0 ]
	( for p in $(DEB_ALL_PACKAGES); do \
	      dpkg --contents ../$${p}_$(DEB_VERSION)_all.deb ; \
	  done ) | less

upload:
	dupload -t mentors $(CHANGESFILE)

.PHONY: patched build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
http://www.apache.org/dist/lucene/java/(2\.9\.\d)/lucene-(2\.9.\d)-src\.tar\.gz
